PROGRAM TEMPERATURE_CONVERSION
************************************************************************
* Program to convert temperature on the Celsius scale to the corres-   *
* ponding temperatures on the Fahrenheit scale.                        *
*                                                                      *
* Input:  CELSIUS_TEMP, RESPONSE                                       *
* Output: FAHRENHEIT_TEMP                                              *
************************************************************************

   IMPLICIT NONE
   REAL :: CELSIUS_TEMP, &  ! temperature on the Celsius scale  
           FAHRENHEIT_TEMP  ! temperature on the Fahrenheit scale 
   INTEGER :: RESPONSE      ! user response

   DO
      PRINT *, "Enter temperature in degrees Celsius:"
      READ *, CELSIUS_TEMP
      FAHRENHEIT_TEMP  = 1.8 * CELSIUS_TEMP + 32.0
      PRINT *, "Fahrenheit temperature is", FAHRENHEIT_TEMP
      PRINT *
      PRINT *, 'MORE (0 = NO, 1 = YES)?'
      READ *, RESPONSE
      IF (RESPONSE == 0) EXIT
   END DO

END PROGRAM TEMPERATURE_CONVERSION

